<template>
    <!-- sidebar group -->
    <div class="sidebar-group">

        <!-- Chats sidebar -->
        <div id="chats" class="sidebar active">
            <header>
                <span>Chats</span>
            </header>
            <form action="">
                <input type="text" class="form-control" placeholder="Search chat">
            </form>
            <div class="sidebar-body">
                <ul class="list-group list-group-flush">
                    <li v-for="contact in sortedContacts" :key="contact.id"
                        @click="selectedUser(contact)" :class="{'open-chat': contact=== selected}"
                        class="list-group-item">
                        <figure class="avatar avatar-state-success">
                            <img :src="'chat/dist/media/img/1.jpeg'" class="rounded-circle" :alt="contact.name">
                        </figure>
                        <div class="users-list-body">
                            <h5>{{contact.name}}</h5>
                            <div v-if="contact.unread" class="users-list-action">
                                <div class="new-message-count">{{ contact.unread }}</div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <!-- ./ Chats sidebar -->

    </div>
    <!-- ./ sidebar group -->

</template>
<script>
    export default {
        props:{
            contacts:{
                type:Array,
                default:[],
            },
        },
        data(){
            return {
                selected: this.contacts.length ?this.contacts[0] : null
            }
        },
        methods: {
            selectedUser(contact){
                this.selected = contact;
                this.$emit('selected',contact);
            }
        },
        computed: {
            sortedContacts() {
                return _.sortBy(this.contacts, [(contact) => {
                    if (contact === this.selected) {
                        return Infinity;
                    }
                    return contact.unread;
                }]).reverse();
            }
        }
    }
</script>
